package org.jeecg.modules.ctop.controller;

import cn.com.ctop.crawler.modules.pangolin.service.PangolinReportAppHourService;
import cn.com.ctop.crawler.modules.pangolin.service.PangolinReportBillMonthService;
import cn.com.ctop.crawler.modules.pangolin.service.PangolinReportChannelDailyService;
import com.alibaba.fastjson.JSONObject;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.Map;

@RequestMapping("pangolin")
public class PangolinController {
    @Autowired
    private PangolinReportAppHourService pangolinReportAppHourService;
    @Autowired
    private PangolinReportChannelDailyService pangolinReportChannelDailyService;
    @Autowired
    private PangolinReportBillMonthService pangolinReportBillMonthService;

    /**
     * 实时数据
     */
    @PostMapping("api/realtime")
    public Map<String, Object> realTime() {
        LoginUser user = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        return pangolinReportAppHourService.getRealTimeData(user.getId());
    }

    /**
     * 激活统计
     */
    @PostMapping("api/activation/list")
    public Map<String, Object> activationList(@RequestBody JSONObject data) {
        LoginUser user = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        return pangolinReportChannelDailyService.getActivationList(user.getId(), data);
    }

    /**
     * 对账单
     */
    @PostMapping("/api/checkApps/list")
    public Map<String, Object> checkAppList(@RequestBody JSONObject data) {
        LoginUser user = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        return pangolinReportBillMonthService.checkAppList(user.getId(), data);
    }

}
