package cn.com.ctop.crawler.modules.pangolin.service.impl;

import cn.com.ctop.common.module.utils.ResultMapUtils;
import cn.com.ctop.common.module.utils.StatusCode;
import cn.com.ctop.crawler.modules.pangolin.entity.PangolinReportAppHour;
import cn.com.ctop.crawler.modules.pangolin.mapper.PangolinReportAppHourMapper;
import cn.com.ctop.crawler.modules.pangolin.service.PangolinReportAppHourService;
import cn.com.ctop.crawler.modules.pangolin.vo.PangolinReportAppHourVO;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.common.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class PangolinReportAppHourServiceImpl extends ServiceImpl<PangolinReportAppHourMapper, PangolinReportAppHour> implements PangolinReportAppHourService {
    @Autowired
    private PangolinReportAppHourMapper pangolinReportAppHourMapper;

    @Override
    public Map<String, Object> getRealTimeData(String userId) {
        Map<String, Object> resultMap = new HashMap<>();
        String today = DateUtils.formatDate();
        //1:查询当天的数据
        List<PangolinReportAppHourVO> todayList = this.getRealTimeData(userId, today);
        resultMap.put("today", todayList);
        //2:查询昨天的数据
        List<PangolinReportAppHourVO> yestodyList = this.getRealTimeData(userId, DateUtils.addDay(today, -1));
        resultMap.put("yesterday", yestodyList);
        //3:查询七天前的数据
        List<PangolinReportAppHourVO> lastSevenList = this.getRealTimeData(userId, DateUtils.addDay(today, -7));
        resultMap.put("sevenDaysAgo", lastSevenList);
        ResultMapUtils.setResultMap(resultMap, StatusCode.COMMON_SUCCESS);
        return resultMap;
    }

    private List<PangolinReportAppHourVO> getRealTimeData(String userId, String date) {
        return pangolinReportAppHourMapper.getRealTimeData(userId, date);
    }
}
